# SuppressAbilitiesTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SuppressAbilitiesTag

Arena tag class for Neutralizing Gas

Keeps track of the number of pokemon on the field with Neutralizing Gas - If it drops to zero, the effect is ended and abilities are reactivated

Additionally ends onLose abilities when it is activated

#### Hierarchy (View Summary)

- ArenaTag
  - SuppressAbilitiesTag

- Defined in src/data/arena-tag.ts:1418

##### Index

### Constructors

constructor

### Properties

side
sourceId?
sourceMove?
tagType
turnCount

### Methods

apply
getAffectedPokemon
getMoveName
getSourcePokemon
isBeingRemoved
lapse
loadTag
onAdd
onOverlap
onRemove
onSourceLeave
shouldApplyToSelf

## Constructors

### constructor

- new SuppressAbilitiesTag(sourceId: number): SuppressAbilitiesTag

  #### Parameters

  - sourceId: number

  #### Returns SuppressAbilitiesTag

  Overrides ArenaTag.constructor

  - Defined in src/data/arena-tag.ts:1422

## Properties

### side

side: ArenaTagSide = ArenaTagSide.BOTH

Inherited from ArenaTag.side

- Defined in src/data/arena-tag.ts:46

### `Optional` sourceId

sourceId?: number

Inherited from ArenaTag.sourceId

- Defined in src/data/arena-tag.ts:45

### `Optional` sourceMove

sourceMove?: Moves

Inherited from ArenaTag.sourceMove

- Defined in src/data/arena-tag.ts:44

### tagType

tagType: ArenaTagType

Inherited from ArenaTag.tagType

- Defined in src/data/arena-tag.ts:42

### turnCount

turnCount: number

Inherited from ArenaTag.turnCount

- Defined in src/data/arena-tag.ts:43

## Methods

### apply

- apply(_arena: Arena , _simulated: boolean, ..._args: unknown[]): boolean

  #### Parameters

  - _arena: Arena
  - _simulated: boolean
  - ..._args: unknown[]

  #### Returns boolean

  Inherited from ArenaTag.apply

  - Defined in src/data/arena-tag.ts:49

### getAffectedPokemon

- getAffectedPokemon(): default []

  Helper function that retrieves the Pokemon affected

  #### Returns default []

  list of PlayerPokemon or EnemyPokemon on the field

  Inherited from ArenaTag.getAffectedPokemon

  - Defined in src/data/arena-tag.ts:100

### getMoveName

- getMoveName(): null | string

  #### Returns null | string

  Inherited from ArenaTag.getMoveName

  - Defined in src/data/arena-tag.ts:72

### getSourcePokemon

- getSourcePokemon(): null | default

  Helper function that retrieves the source Pokemon

  #### Returns null | default

  The source `Pokemon` or `null` if none is found

  Inherited from ArenaTag.getSourcePokemon

  - Defined in src/data/arena-tag.ts:92

### isBeingRemoved

- isBeingRemoved(): boolean

  #### Returns boolean

  - Defined in src/data/arena-tag.ts:1479

### lapse

- lapse(_arena: Arena ): boolean

  #### Parameters

  - _arena: Arena

  #### Returns boolean

  Inherited from ArenaTag.lapse

  - Defined in src/data/arena-tag.ts:68

### loadTag

- loadTag(source: any): void

  When given a arena tag or json representing one, load the data for it. This is meant to be inherited from by any arena tag with custom attributes

  #### Parameters

  - source: any

    An arena tag

  #### Returns void

  Inherited from ArenaTag.loadTag

  - Defined in src/data/arena-tag.ts:81

### onAdd

- onAdd(_arena: Arena ): void

  #### Parameters

  - _arena: Arena

  #### Returns void

  Overrides ArenaTag.onAdd

  - Defined in src/data/arena-tag.ts:1428

### onOverlap

- onOverlap(_arena: Arena , source: null | default ): void

  #### Parameters

  - _arena: Arena
  - source: null | default

  #### Returns void

  Overrides ArenaTag.onOverlap

  - Defined in src/data/arena-tag.ts:1441

### onRemove

- onRemove(_arena: Arena , quiet?: boolean): void

  #### Parameters

  - _arena: Arena
  - quiet: boolean = false

  #### Returns void

  Overrides ArenaTag.onRemove

  - Defined in src/data/arena-tag.ts:1461

### onSourceLeave

- onSourceLeave(arena: Arena ): void

  #### Parameters

  - arena: Arena

  #### Returns void

  - Defined in src/data/arena-tag.ts:1446

### shouldApplyToSelf

- shouldApplyToSelf(): boolean

  #### Returns boolean

  - Defined in src/data/arena-tag.ts:1475